<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ExtendedIntDoubleOperations
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.ops.matrix.ExtendedIntDoubleOperations class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ExtendedIntDoubleOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExtendedIntDoubleOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedDoubleOperations.html" title="class in ch.javasoft.smx.ops.matrix"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedLongDoubleOperations.html" title="class in ch.javasoft.smx.ops.matrix"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExtendedIntDoubleOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.ops.matrix</FONT>
<BR>
Class ExtendedIntDoubleOperations</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.smx.ops.matrix.ExtendedIntDoubleOperations</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops">ExtendedMatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.42"><B>ExtendedIntDoubleOperations</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops">ExtendedMatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#ExtendedIntDoubleOperations(double)">ExtendedIntDoubleOperations</A></B>(double&nbsp;tolerance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#ExtendedIntDoubleOperations(ch.javasoft.util.numeric.Zero)">ExtendedIntDoubleOperations</A></B>(<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops">Gauss</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#getGauss()">getGauss</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#getZero()">getZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#invert(ch.javasoft.smx.iface.ReadableMatrix)">invert</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix inverse of a square matrix <tt>mx</tt>, that is, a 
 matrix <tt>res = null(mx)</tt>, such that</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#nullity(ch.javasoft.smx.iface.ReadableMatrix)">nullity</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the nullity of the given matrix, that is, the dimension of the
 nullspace of <tt>mx</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#nullspace(ch.javasoft.smx.iface.ReadableMatrix)">nullspace</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a basis for the kernel (or nullspace) of <tt>mx</tt>, that is, a
 matrix <tt>res</tt>, such that it spans the nullspace:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#rank(ch.javasoft.smx.iface.ReadableMatrix)">rank</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the rank of the given matrix.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ExtendedIntDoubleOperations(ch.javasoft.util.numeric.Zero)"><!-- --></A><H3>
ExtendedIntDoubleOperations</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.47"><B>ExtendedIntDoubleOperations</B></A>(<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</PRE>
<DL>
</DL>
<HR>

<A NAME="ExtendedIntDoubleOperations(double)"><!-- --></A><H3>
ExtendedIntDoubleOperations</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.51"><B>ExtendedIntDoubleOperations</B></A>(double&nbsp;tolerance)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getZero()"><!-- --></A><H3>
getZero</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A> <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.55"><B>getZero</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGauss()"><!-- --></A><H3>
getGauss</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops">Gauss</A> <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.58"><B>getGauss</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="rank(ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
rank</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.62"><B>rank</B></A>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#rank(ch.javasoft.smx.iface.ReadableMatrix)">ExtendedMatrixOperations</A></CODE></B></DD>
<DD>Returns the rank of the given matrix.
 <p>
 Usually, Gaussian elimination is used to compute the rank
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#rank(ch.javasoft.smx.iface.ReadableMatrix)">rank</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops">ExtendedMatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nullity(ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
nullity</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.68"><B>nullity</B></A>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#nullity(ch.javasoft.smx.iface.ReadableMatrix)">ExtendedMatrixOperations</A></CODE></B></DD>
<DD>Returns the nullity of the given matrix, that is, the dimension of the
 nullspace of <tt>mx</tt>. Note that by the <i>rank-nullity</i> theorem,
 <pre>
   rank(mx) + nullity(mx) = n
 </pre>
 where <tt>n</tt> is the number of columns of <tt>mx</tt>.
 <p>
 Usually, Gaussian elimination is used to compute the nullity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#nullity(ch.javasoft.smx.iface.ReadableMatrix)">nullity</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops">ExtendedMatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="invert(ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
invert</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt; <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.74"><B>invert</B></A>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#invert(ch.javasoft.smx.iface.ReadableMatrix)">ExtendedMatrixOperations</A></CODE></B></DD>
<DD>Returns the matrix inverse of a square matrix <tt>mx</tt>, that is, a 
 matrix <tt>res = null(mx)</tt>, such that
 <pre>
   mx * res = I
 </pre>
 where <tt>I</tt> is the identity matrix.
 <p>
 Usually, Gaussian elimination is used to compute the inverse matrix.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#invert(ch.javasoft.smx.iface.ReadableMatrix)">invert</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops">ExtendedMatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nullspace(ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
nullspace</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt; <A HREF="../../../../../src-html/ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html#line.81"><B>nullspace</B></A>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;mx)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#nullspace(ch.javasoft.smx.iface.ReadableMatrix)">ExtendedMatrixOperations</A></CODE></B></DD>
<DD>Returns a basis for the kernel (or nullspace) of <tt>mx</tt>, that is, a
 matrix <tt>res</tt>, such that it spans the nullspace:
 <pre>
   span(res) = null(mx) = { x : mx * x = 0}
 </pre>
 <p>
 Usually, Gaussian elimination is used to compute the kernel matrix.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html#nullspace(ch.javasoft.smx.iface.ReadableMatrix)">nullspace</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops">ExtendedMatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExtendedIntDoubleOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedDoubleOperations.html" title="class in ch.javasoft.smx.ops.matrix"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/matrix/ExtendedLongDoubleOperations.html" title="class in ch.javasoft.smx.ops.matrix"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/ops/matrix/ExtendedIntDoubleOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExtendedIntDoubleOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
